it-swarm.com.de

Beheben eines Maven-Plugin-Problems: 'Mojo kann nicht geladen werden'

Ich habe alle Abhängigkeiten in meinem pom.xml durch maven konfiguriert. Wenn ich den Befehl mvn install gebe, erhalte ich die folgende Fehlermeldung:

[INFO] Interner Fehler im Plugin-Manager, der das Ziel ausführt. 'Org.Apache.maven.plugins: maven-surefire-plugin: 2.4.3: test': Kann Nicht laden. 'org.Apache.maven.plugins: maven-surefire-plugin: 2.4.3: test' im plugin 'org.Apache.maven.plugins: maven-surefire-plugin'. Eine erforderliche Klasse fehlt: Org/Apache/maven/surefire/util/NestedCheckedException Org.Apache.maven.surefire.util.NestedCheckedException

Wie kann ich dieses Problem lösen?

17
kiara

Anscheinend tritt dieses Problem auf: SUREFIRE-85 .

Die wahrscheinlichste Ursache sind beschädigte JAR-Dateien in Ihrem lokalen Repository. Löschen Sie alle Maven-Gläser aus Ihrem lokalen Repository. Entfernen Sie alles aus <your-home-directory>/.m2/repository/org/Apache/maven und führen Sie den Build erneut aus.

Stellen Sie außerdem sicher, dass Sie eine stabile, aktuelle Version von Maven verwenden.

24
joelittlejohn

Ich hatte gerade dieses Problem, und durch das Löschen des Org-Verzeichnisses und das Wiederherstellen dieses Problems wurde das Problem gelöst.

2
Lyndon

Beim Erstellen eines Maven-Projekts (Java) habe ich die Fehlermeldung "Kann kein Exodus ausführen". Ich habe festgestellt, dass es auch nicht gelungen ist, den Java_HOME-Pfad zu erhalten, den ich in meinem .batch_profile hinzugefügt habe. In vielen Fällen sieht es so aus, als könnte dieses Build-Problem auftreten, aber die Überprüfung der System-Umgebungsvariablen könnte helfen ... David 

1
user6000779

Ich habe das Aktualisieren der Plug-in-Version in meiner pom.xml 1.17-Version nicht bestanden. 1.30.1 OK

0
PbxMan
Using: Maven 3.0.5 required surefire:>2.10. 2.10 failed:
[ERROR] Failed to execute goal org.Apache.maven.plugins:maven-surefire-plugin:2.10:test (default-test) on project robot-arm: Execution default-test of goal org.Apache.maven.plugins:maven-surefire-plugin:2.10:test failed: A required class was missing while executing org.Apache.maven.plugins:maven-surefire-plugin:2.10:test: org/Apache/maven/surefire/util/NestedCheckedException

2.11 works. 2.17 works.

0
Kevin Mayfield